# OpalAudioMixer::MixerFrame Class Reference

`#include <opalmixer.h>`

List of all members.

## Public Member Functions

| MixerFrame (PINDEX _frameLength)
void | CreateMixedData () const
PBoolean | GetMixedFrame (OpalAudioMixerStream::StreamFrame &frame) const
PBoolean | GetStereoFrame (OpalAudioMixerStream::StreamFrame &frame) const
PBoolean | GetChannelFrame (Key_T key, OpalAudioMixerStream::StreamFrame &frame) const

## Public Attributes

MixerPCMMap_T | channelData
DWORD | timeStamp
PINDEX | frameLengthSamples
PIntArray | mixedData
PMutex | mutex

## Constructor & Destructor Documentation

OpalAudioMixer::MixerFrame::MixerFrame | ( | PINDEX | _frameLength | ) |

## Member Function Documentation

void OpalAudioMixer::MixerFrame::CreateMixedData | ( |  | ) | const

PBoolean OpalAudioMixer::MixerFrame::GetMixedFrame | ( | OpalAudioMixerStream::StreamFrame & | frame | ) | const

PBoolean OpalAudioMixer::MixerFrame::GetStereoFrame | ( | OpalAudioMixerStream::StreamFrame & | frame | ) | const

PBoolean OpalAudioMixer::MixerFrame::GetChannelFrame | ( | Key_T | key,
|  | OpalAudioMixerStream::StreamFrame & | frame |
| ) |  |  | const

## Member Data Documentation

MixerPCMMap_T OpalAudioMixer::MixerFrame::channelData

DWORD OpalAudioMixer::MixerFrame::timeStamp

PINDEX OpalAudioMixer::MixerFrame::frameLengthSamples

PIntArray OpalAudioMixer::MixerFrame::mixedData `[mutable]`

PMutex OpalAudioMixer::MixerFrame::mutex `[mutable]`

The documentation for this class was generated from the following file:

- opalmixer.h